Subject: Re: linux-next: manual merge of the msm tree with the arm tree

From: David Brown <[email-masked]>
Date: Wed, 02 Feb 2011 14:46:40 -0800

On Wed, Feb 02 2011, Nicolas Pitre wrote:

> The actual problem here is that some people, notably the msm folks, are 
> bypassing the maintainer hierarchy and going straight to Linus for their 
> pull requests instead of asking RMK to pull.  We once debated this at 
> some point and it was agreed that completely independent SOC specific 
> code with no dependencies on the common ARM code _could_ go straight to 
> Linus directly if they crave for it.  But in this case:
>
> 1) the conflict is obviously simple
>
> 2) the conflict resolution is just as obvious
>
> 3) and Stephen is able and willing to carry this conflict resolution for 
>    the foreseeable future until this all gets merged in mainline.
>
> So... WTF is the actual problem here?

I hadn't really brought this up as a problem, but was mostly wondering
if it was ok to just have Stephen carry the conflict resolution until
the next merge window.  The rest of the comments came from Greg.

David

-- 
Sent by an employee of the Qualcomm Innovation Center, Inc.
The Qualcomm Innovation Center, Inc. is a member of the Code Aurora Forum.